.hana-mobile-body {
    overflow: hidden;
    height: 100%;
    width: 100%;
    position: fixed
}
.hana-conversation-body,
.hana-conversations-body,
.hana-messenger,
.hana-scrollable {
    -webkit-overflow-scrolling: touch
}

#hana-popchat a,
#hana-popchat abbr,
#hana-popchat acronym,
#hana-popchat address,
#hana-popchat applet,
#hana-popchat article,
#hana-popchat aside,
#hana-popchat audio,
#hana-popchat b,
#hana-popchat big,
#hana-popchat blockquote,
#hana-popchat button,
#hana-popchat canvas,
#hana-popchat caption,
#hana-popchat center,
#hana-popchat cite,
#hana-popchat code,
#hana-popchat dd,
#hana-popchat del,
#hana-popchat details,
#hana-popchat dfn,
#hana-popchat div,
#hana-popchat div.form,
#hana-popchat dl,
#hana-popchat dt,
#hana-popchat em,
#hana-popchat fieldset,
#hana-popchat figcaption,
#hana-popchat figure,
#hana-popchat footer,
#hana-popchat form,
#hana-popchat h1,
#hana-popchat h2,
#hana-popchat h3,
#hana-popchat h4,
#hana-popchat h5,
#hana-popchat h6,
#hana-popchat header,
#hana-popchat hgroup,
#hana-popchat i,
#hana-popchat iframe,
#hana-popchat img,
#hana-popchat input,
#hana-popchat input[type],
#hana-popchat ins,
#hana-popchat kbd,
#hana-popchat label,
#hana-popchat legend,
#hana-popchat li,
#hana-popchat mark,
#hana-popchat menu,
#hana-popchat nav,
#hana-popchat object,
#hana-popchat ol,
#hana-popchat p,
#hana-popchat pre,
#hana-popchat q,
#hana-popchat s,
#hana-popchat samp,
#hana-popchat section,
#hana-popchat small,
#hana-popchat span,
#hana-popchat strike,
#hana-popchat strong,
#hana-popchat sub,
#hana-popchat summary,
#hana-popchat sup,
#hana-popchat table,
#hana-popchat tbody,
#hana-popchat td,
#hana-popchat textarea,
#hana-popchat tfoot,
#hana-popchat th,
#hana-popchat thead,
#hana-popchat time,
#hana-popchat tr,
#hana-popchat tt,
#hana-popchat u,
#hana-popchat ul,
#hana-popchat var,
#hana-popchat video {
    font-family:  "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size-adjust: none;
    font-size: 100%;
    font-style: normal;
    letter-spacing: normal;
    font-stretch: normal;
    font-variant: normal;
    font-weight: 400;
    font: normal normal 100%  "Helvetica Neue", Helvetica, Arial, sans-serif;
    text-align: left;
    text-align-last: auto;
    text-decoration: none;
    -webkit-text-emphasis: none;
    text-emphasis: none;
    text-height: auto;
    text-indent: 0;
    text-justify: auto;
    text-outline: none;
    text-shadow: none;
    text-transform: none;
    text-wrap: normal;
    alignment-adjust: auto;
    alignment-baseline: baseline;
    -webkit-animation: none 0 ease 0 1 normal;
    animation: none 0 ease 0 1 normal;
    -webkit-animation-play-state: running;
    animation-play-state: running;
    -webkit-appearance: normal;
    -moz-appearance: normal;
    appearance: normal;
    azimuth: center;
    -webkit-backface-visibility: visible;
    backface-visibility: visible;
    background: none 0 0 auto repeat scroll padding-box transparent;
    background-color: transparent;
    background-image: none;
    baseline-shift: baseline;
    binding: none;
    bleed: 6pt;
    bookmark-label: content();
    bookmark-level: none;
    bookmark-state: open;
    bookmark-target: none;
    border: 0 none transparent;
    border-radius: 0;
    bottom: auto;
    box-align: stretch;
    -webkit-box-decoration-break: slice;
    box-decoration-break: slice;
    box-direction: normal;
    box-flex: 0.0;
    box-flex-group: 1;
    box-lines: single;
    box-ordinal-group: 1;
    box-orient: inline-axis;
    box-pack: start;
    -webkit-box-shadow: none;
    box-shadow: none;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    -webkit-column-break-after: auto;
    break-after: auto;
    -webkit-column-break-before: auto;
    break-before: auto;
    -webkit-column-break-inside: auto;
    break-inside: auto;
    caption-side: top;
    clear: none;
    clip: auto;
    color: inherit;
    color-profile: auto;
    -webkit-column-count: auto;
    column-count: auto;
    -webkit-column-fill: balance;
    column-fill: balance;
    -webkit-column-gap: normal;
    column-gap: normal;
    -webkit-column-rule: medium medium #1f1f1f;
    column-rule: medium medium #1f1f1f;
    -webkit-column-span: 1;
    column-span: 1;
    -webkit-column-width: auto;
    column-width: auto;
    -webkit-columns: auto auto;
    columns: auto auto;
    content: normal;
    counter-increment: none;
    counter-reset: none;
    crop: auto;
    cursor: auto;
    direction: ltr;
    display: inline;
    dominant-baseline: auto;
    drop-initial-after-adjust: text-after-edge;
    drop-initial-after-align: baseline;
    drop-initial-before-adjust: text-before-edge;
    drop-initial-before-align: caps-height;
    drop-initial-size: auto;
    drop-initial-value: initial;
    elevation: level;
    empty-cells: show;
    fit: fill;
    fit-position: 0 0;
    float: none;
    float-offset: 0 0;
    grid-columns: none;
    grid-rows: none;
    hanging-punctuation: none;
    height: auto;
    hyphenate-after: auto;
    hyphenate-before: auto;
    hyphenate-character: auto;
    hyphenate-lines: no-limit;
    hyphenate-resource: none;
    -webkit-hyphens: manual;
    -ms-hyphens: manual;
    hyphens: manual;
    icon: auto;
    image-orientation: auto;
    image-rendering: auto;
    image-resolution: normal;
    inline-box-align: last;
    left: auto;
    line-height: inherit;
    line-stacking: inline-line-height exclude-ruby consider-shifts;
    list-style: disc outside none;
    margin: 0;
    marks: none;
    marquee-direction: forward;
    marquee-loop: 1;
    marquee-play-count: 1;
    marquee-speed: normal;
    marquee-style: scroll;
    max-height: none;
    max-width: none;
    min-height: 0;
    min-width: 0;
    move-to: normal;
    nav-down: auto;
    nav-index: auto;
    nav-left: auto;
    nav-right: auto;
    nav-up: auto;
    opacity: 1;
    orphans: 2;
    outline: medium none invert;
    outline-offset: 0;
    overflow: visible;
    overflow-style: auto;
    padding: 0;
    page: auto;
    page-break-after: auto;
    page-break-before: auto;
    page-break-inside: auto;
    page-policy: start;
    -webkit-perspective: none;
    perspective: none;
    -webkit-perspective-origin: 50% 50%;
    perspective-origin: 50% 50%;
    pointer-events: auto;
    position: static;
    presentation-level: 0;
    punctuation-trim: none;
    quotes: none;
    rendering-intent: auto;
    resize: none;
    right: auto;
    rotation: 0;
    rotation-point: 50% 50%;
    ruby-align: auto;
    ruby-overhang: none;
    ruby-position: before;
    ruby-span: none;
    size: auto;
    string-set: none;
    table-layout: auto;
    top: auto;
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
    -webkit-transform-origin: 50% 50% 0;
    -ms-transform-origin: 50% 50% 0;
    transform-origin: 50% 50% 0;
    -webkit-transform-style: flat;
    transform-style: flat;
    -webkit-transition: all 0 ease 0;
    transition: all 0 ease 0;
    unicode-bidi: normal;
    vertical-align: baseline;
    white-space: normal;
    white-space-collapse: collapse;
    widows: 2;
    width: auto;
    word-break: normal;
    word-spacing: normal;
    word-wrap: normal;
    z-index: auto;
    text-align: start;
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(enabled=false)";
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}
#hana-popchat address,
#hana-popchat article,
#hana-popchat aside,
#hana-popchat blockquote,
#hana-popchat canvas,
#hana-popchat center,
#hana-popchat dd,
#hana-popchat details,
#hana-popchat dir,
#hana-popchat div,
#hana-popchat div.form,
#hana-popchat dl,
#hana-popchat dt,
#hana-popchat fieldset,
#hana-popchat figcaption,
#hana-popchat figure,
#hana-popchat footer,
#hana-popchat form,
#hana-popchat frame,
#hana-popchat frameset,
#hana-popchat h1,
#hana-popchat h2,
#hana-popchat h3,
#hana-popchat h4,
#hana-popchat h5,
#hana-popchat h6,
#hana-popchat header,
#hana-popchat hgroup,
#hana-popchat hr,
#hana-popchat menu,
#hana-popchat nav,
#hana-popchat noframes,
#hana-popchat ol,
#hana-popchat p,
#hana-popchat pre,
#hana-popchat section,
#hana-popchat summary,
#hana-popchat ul {
    display: block
}
#hana-popchat li {
    display: list-item
}
#hana-popchat table {
    display: table
}
#hana-popchat tr {
    display: table-row
}
#hana-popchat thead {
    display: table-header-group
}
#hana-popchat tbody {
    display: table-row-group
}
#hana-popchat tfoot {
    display: table-footer-group
}
#hana-popchat col {
    display: table-column
}
#hana-popchat colgroup {
    display: table-column-group
}
#hana-popchat td,
#hana-popchat th {
    display: table-cell
}
#hana-popchat caption {
    display: table-caption
}
#hana-popchat input,
#hana-popchat select {
    display: inline-block
}
#hana-popchat b,
#hana-popchat strong {
    font-weight: 700
}
#hana-popchat em,
#hana-popchat i {
    font-style: italic
}
#hana-popchat b>em,
#hana-popchat b>i,
#hana-popchat em>b,
#hana-popchat em>strong,
#hana-popchat i>b,
#hana-popchat i>strong,
#hana-popchat strong>em,
#hana-popchat strong>i {
    font-weight: 700;
    font-style: italic
}
#hana-popchat input,
#hana-popchat textarea {
    cursor: text
}
#hana-popchat input::-moz-selection,
#hana-popchat textarea::-moz-selection {
    background-color: #b3d4fc
}
#hana-popchat input::selection,
#hana-popchat textarea::selection {
    background-color: #b3d4fc
}
#hana-popchat a,
#hana-popchat a *,
#hana-popchat a span,
#hana-popchat button,
#hana-popchat button *,
#hana-popchat button span,
#hana-popchat input[type=reset],
#hana-popchat input[type=submit] {
    cursor: pointer
}
#hana-popchat:focus {
    outline: none
}
#hana-popchat a:active,
#hana-popchat a:hover,
#hana-popchat a:link,
#hana-popchat a:visited {
    color: inherit;
    background: transparent;
    text-shadow: none
}
#hana-popchat button::-moz-focus-inner {
    border: 0;
    padding: 0
}
#hana-popchat-body {
    overflow: hidden
}
body>.hana-popchat {
    position: fixed
}
@media print {
    #hana-popchat {
        display: none
    }
}
#hana-popchat {
    line-height: 1
}
#hana-popchat .hana-scrollable {
    position: relative;
    max-height: 100%;
    overflow-y: auto;
    overflow-x: hidden
}

#hana-popchat .hana-messenger {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0
}
#hana-popchat .hana-messenger-background {
    position: absolute;
    top: 75px;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #fff
}

/*464here*/
#hana-popchat .hana-collapse-iframe:before {
    animation: pulseWarning 2s linear infinite;
    background-color: #fff;
    border-radius: 50%;
    content: "";
    display: inline-block;
    height: 100%;
    opacity: 0;
    position: absolute;
    width: 100%;
}
#hana-popchat .hana-collapse-iframe {
    z-index: 2147483000!important;
    position: fixed!important;
    bottom: 20px;
    right: 20px;
    width: 70px!important;
    height: 70px!important;
    border-radius: 50%!important;
    -webkit-transition: -webkit-box-shadow 80ms ease-in-out!important;
    transition: -webkit-box-shadow 80ms ease-in-out!important;
    transition: box-shadow 80ms ease-in-out!important;
    transition: box-shadow 80ms ease-in-out, -webkit-box-shadow 80ms ease-in-out!important;
    -webkit-box-shadow: 0 1px 6px rgba(0, 0, 0, .06), 0 2px 32px rgba(0, 0, 0, .16)!important;
    box-shadow: 0 1px 6px rgba(0, 0, 0, .06), 0 2px 32px rgba(0, 0, 0, .16)!important
}
#hana-popchat .hana-collapse-iframe:hover {
    -webkit-box-shadow: 0 2px 8px rgba(0, 0, 0, .09), 0 4px 40px rgba(0, 0, 0, .24)!important;
    box-shadow: 0 2px 8px rgba(0, 0, 0, .09), 0 4px 40px rgba(0, 0, 0, .24)!important
}
#hana-popchat .hana-collapse-iframe:active {
    -webkit-box-shadow: 0 1px 6px rgba(0, 0, 0, .06), 0 2px 32px rgba(0, 0, 0, .16)!important;
    box-shadow: 0 1px 6px rgba(0, 0, 0, .06), 0 2px 32px rgba(0, 0, 0, .16)!important
}
#hana-popchat .hana-collapse-iframe-discovery-mode-enabled {
    -webkit-box-shadow: none!important;
    box-shadow: none!important;
    pointer-events: none!important
}
#hana-popchat .hana-collapse-iframe-discovery-mode-enabled:active,
#hana-popchat .hana-collapse-iframe-discovery-mode-enabled:hover {
    -webkit-box-shadow: none!important;
    box-shadow: none!important
}
#hana-popchat .hana-app.hana-app-left-aligned .hana-collapse-iframe {
    left: 20px
}
#hana-popchat .hana-launcher-discovery-frame {
    z-index: 2147482999!important;
    position: fixed!important;
    bottom: 20px;
    right: 20px;
    height: 60px!important;
    border-radius: 100px!important;
    overflow: hidden!important;
    background: #1F8CEB!important;
    -webkit-transition: width .4s ease .2s, -webkit-box-shadow 80ms ease-in-out!important;
    transition: width .4s ease .2s, -webkit-box-shadow 80ms ease-in-out!important;
    transition: box-shadow 80ms ease-in-out, width .4s ease .2s!important;
    transition: box-shadow 80ms ease-in-out, width .4s ease .2s, -webkit-box-shadow 80ms ease-in-out!important;
    -webkit-box-shadow: 0 1px 6px rgba(0, 0, 0, .06), 0 2px 32px rgba(0, 0, 0, .16)!important;
    box-shadow: 0 1px 6px rgba(0, 0, 0, .06), 0 2px 32px rgba(0, 0, 0, .16)!important
}
#hana-popchat .hana-launcher-discovery-frame:hover {
    -webkit-box-shadow: 0 2px 8px rgba(0, 0, 0, .09), 0 4px 40px rgba(0, 0, 0, .24)!important;
    box-shadow: 0 2px 8px rgba(0, 0, 0, .09), 0 4px 40px rgba(0, 0, 0, .24)!important
}
#hana-popchat .hana-launcher-discovery-frame:active {
    -webkit-box-shadow: 0 1px 6px rgba(0, 0, 0, .06), 0 2px 32px rgba(0, 0, 0, .16)!important;
    box-shadow: 0 1px 6px rgba(0, 0, 0, .06), 0 2px 32px rgba(0, 0, 0, .16)!important
}
#hana-popchat .hana-launcher-badge-frame {
    z-index: 2147483001!important;
    position: fixed!important;
    bottom: calc(20px + 40px);
    right: calc(20px - 4px);
    width: 22px!important;
    height: 22px!important;
    -webkit-box-shadow: 0 1px 0 rgba(0, 0, 0, .27)!important;
    box-shadow: 0 1px 0 rgba(0, 0, 0, .27)!important;
    border-radius: 50%!important
}
#hana-popchat .hana-app.hana-app-left-aligned .hana-launcher-badge-frame {
    left: calc(20px - 4px + 45px)
}


#hana-popchat .hana-chat-iframe {
    z-index: 2147483000!important;
    position: fixed!important;
    bottom: 20px;
    right: 20px;
    height: calc(100% - 20px - 20px);
    width: 370px!important;
    min-height: 250px!important;
    max-height: 590px!important;
    -webkit-box-shadow: 0 5px 40px rgba(0, 0, 0, .16)!important;
    box-shadow: 0 5px 40px rgba(0, 0, 0, .16)!important;
    border-radius: 8px 8px 0 0 !important;
    overflow: hidden!important;
    opacity: 1!important
}
#hana-popchat .hana-chat-iframe>iframe {
    width: 100%!important;
    height: 100%!important
}
#hana-popchat .hana-app-left-aligned .hana-chat-iframe {
    left: 20px
}
#hana-popchat .hana-pop-openchat .hana-chat-iframe {
    height: calc(100% - 20px - 75px - 20px);
    bottom: 0px;
}

@-webkit-keyframes hana-collapse-iframe-appear {
    0% {
        opacity: 0;
        -webkit-transform: scale(.5);
        transform: scale(.5)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
@keyframes hana-collapse-iframe-appear {
    0% {
        opacity: 0;
        -webkit-transform: scale(.5);
        transform: scale(.5)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
#hana-popchat .hana-collapse-iframe {
    -webkit-animation: hana-collapse-iframe-appear .25s ease!important;
    animation: hana-collapse-iframe-appear .25s ease!important
}

@media only screen and (max-device-width: 667px),
screen and (max-width: 450px) {
    #hana-popchat .hana-note,
    #hana-popchat .hana-post {
        -webkit-text-size-adjust: 100%
    }
    #hana-popchat .hana-chat-iframe {
        z-index: 2147483001!important;
        width: 100%!important;
        height: 100%!important;
        max-height: none!important;
        top: 0!important;
        left: 0!important;
        right: 0!important;
        bottom: 0!important;
        border-radius: 0!important
    }
    #hana-popchat .hana-agent-profile,
    #hana-popchat .hana-team-profile-compact {
        right: 45px
    }
    #hana-popchat .hana-chat {
        right: 20px!important;
        bottom: 20px!important;
        width: calc(100% - 100px);
        max-width: 260px
    }
    #hana-popchat .hana-note {
        right: 0;
        left: 0;
        bottom: 20px!important;
        margin: 0 auto
    }
    #hana-popchat .hana-post-container {
        padding: 0
    }
    #hana-popchat .hana-messenger-gradient {
        display: none
    }
    #hana-popchat .hana-collapse-iframe {
        right: 20px!important;
        bottom: 20px!important
    }
    #hana-popchat .hana-borderless-frame {
        right: 10px!important;
        bottom: 10px!important;
        max-height: calc(100% - 20px + 10px)!important
    }
    #hana-popchat .hana-launcher-badge-frame {
        right: 16px!important;
        bottom: 60px!important
    }
    #hana-popchat .hana-notifications-frame {
        right: 20px!important;
        bottom: 20px!important
    }
    #hana-popchat .hana-pop-openchat .hana-chat-iframe {
        height: 100%!important;
        bottom: 0!important
    }
    #hana-popchat .hana-pop-openchat .hana-chat,
    #hana-popchat .hana-pop-openchat .hana-note,
    #hana-popchat .hana-pop-openchat .hana-notifications,
    #hana-popchat .hana-pop-openchat .hana-notifications-frame {
        bottom: 95px!important
    }
    #hana-popchat .hana-pop-openchat .hana-borderless-frame {
        bottom: 85px!important;
        max-height: calc(100% - 20px - 75px + 10px)!important
    }
    #hana-popchat .hana-app-left-aligned .hana-chat-iframe {
        left: 0!important
    }
    #hana-popchat .hana-app-left-aligned .hana-borderless-frame {
        left: -34px!important
    }
    #hana-popchat .hana-app-left-aligned .hana-chat {
        left: 20px!important
    }
    #hana-popchat .hana-app-left-aligned .hana-note {
        left: 0!important
    }
    #hana-popchat .hana-app-left-aligned .hana-launcher-badge-frame {
        left: 61px!important
    }
    #hana-popchat .hana-app-left-aligned .hana-collapse-iframe,
    #hana-popchat .hana-app-left-aligned .hana-notifications-frame {
        left: 20px!important
    }
}
@media only screen and (max-device-width: 667px) {
    #hana-popchat .hana-launcher-close-icon,
    #hana-popchat .hana-launcher-open-icon {
        -webkit-transform: none;
        -ms-transform: none;
        transform: none
    }
    #hana-popchat .hana-launcher-active .hana-launcher-open-icon {
        opacity: 1;
        -webkit-transform: none;
        -ms-transform: none;
        transform: none
    }
    #hana-popchat .hana-launcher-active .hana-launcher-close-icon {
        opacity: 0
    }
    #hana-popchat .hana-notifications {
        width: 260px
    }
    #hana-popchat .hana-notifications-dismiss-button {
        opacity: 1
    }
    #hana-popchat .hana-chat-snippet {
        width: 100%
    }
    #hana-popchat .hana-snippet {
        margin: 0 auto;
        width: calc(100% - 20px)
    }
}

/*huynh collapse*/

.f-modal-alert {
    background-color: #fff;
    -webkit-box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.2);
    box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.2);
    border-radius: 4px;
    margin: 20px;
    padding: 50px;
}

.f-modal-alert .f-modal-icon {
    border-radius: 50%;
    border: 4px solid gray;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    height: 80px;
    margin: 20px auto;
    padding: 0;
    position: relative;
    width: 80px;
}
.f-modal-alert .f-modal-icon.f-modal-success, .f-modal-alert .f-modal-icon.f-modal-error {
    border-color: #A5DC86;
}
.f-modal-alert .f-modal-icon.f-modal-success:after, .f-modal-alert .f-modal-icon.f-modal-success:before, .f-modal-alert .f-modal-icon.f-modal-error:after, .f-modal-alert .f-modal-icon.f-modal-error:before {
    background: #fff;
    content: '';
    height: 120px;
    position: absolute;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    width: 60px;
}
.f-modal-alert .f-modal-icon.f-modal-success:before, .f-modal-alert .f-modal-icon.f-modal-error:before {
    border-radius: 120px 0 0 120px;
    left: -33px;
    top: -7px;
    -webkit-transform-origin: 60px 60px;
    transform-origin: 60px 60px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.f-modal-alert .f-modal-icon.f-modal-success:after, .f-modal-alert .f-modal-icon.f-modal-error:after {
    border-radius: 0 120px 120px 0;
    left: 30px;
    top: -11px;
    -webkit-transform-origin: 0 60px;
    transform-origin: 0 60px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.f-modal-alert .f-modal-icon.f-modal-success .f-modal-placeholder, .f-modal-alert .f-modal-icon.f-modal-error .f-modal-placeholder {
    border-radius: 50%;
    border: 4px solid rgba(165, 220, 134, 0.2);
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    height: 80px;
    left: -4px;
    position: absolute;
    top: -4px;
    width: 80px;
    z-index: 2;
}
.f-modal-alert .f-modal-icon.f-modal-success .f-modal-fix, .f-modal-alert .f-modal-icon.f-modal-error .f-modal-fix {
    background-color: #fff;
    height: 90px;
    left: 28px;
    position: absolute;
    top: 8px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    width: 5px;
    z-index: 1;
}
.f-modal-alert .f-modal-icon.f-modal-success .f-modal-line, .f-modal-alert .f-modal-icon.f-modal-error .f-modal-line {
    background-color: #A5DC86;
    border-radius: 2px;
    display: block;
    height: 5px;
    position: absolute;
    z-index: 2;
}
.f-modal-alert .f-modal-icon.f-modal-success .f-modal-line.f-modal-tip, .f-modal-alert .f-modal-icon.f-modal-error .f-modal-line.f-modal-tip {
    left: 14px;
    top: 46px;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    width: 25px;
}
.f-modal-alert .f-modal-icon.f-modal-success .f-modal-line.f-modal-long, .f-modal-alert .f-modal-icon.f-modal-error .f-modal-line.f-modal-long {
    right: 8px;
    top: 38px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    width: 47px;
}
.f-modal-alert .f-modal-icon.f-modal-error {
    border-color: #F27474;
}
.f-modal-alert .f-modal-icon.f-modal-error .f-modal-x-mark {
    display: block;
    position: relative;
    z-index: 2;
}
.f-modal-alert .f-modal-icon.f-modal-error .f-modal-placeholder {
    border: 4px solid rgba(200, 0, 0, 0.2);
}
.f-modal-alert .f-modal-icon.f-modal-error .f-modal-line {
    background-color: #F27474;
    top: 37px;
    width: 47px;
}
.f-modal-alert .f-modal-icon.f-modal-error .f-modal-line.f-modal-left {
    left: 17px;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}
.f-modal-alert .f-modal-icon.f-modal-error .f-modal-line.f-modal-right {
    right: 16px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.f-modal-alert .f-modal-icon.f-modal-warning {
    border-color: #F8BB86;
}
.f-modal-alert .f-modal-icon.f-modal-warning:before {
    -webkit-animation: pulseWarning 2s linear infinite;
    animation: pulseWarning 2s linear infinite;
    background-color: #fff;
    border-radius: 50%;
    content: "";
    display: inline-block;
    height: 100%;
    opacity: 0;
    position: absolute;
    width: 100%;
}
.f-modal-alert .f-modal-icon.f-modal-warning:after {
    background-color: #fff;
    border-radius: 50%;
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    width: 100%;
    z-index: 1;
}
.f-modal-alert .f-modal-icon.f-modal-warning .f-modal-body {
    background-color: #F8BB86;
    border-radius: 2px;
    height: 47px;
    left: 50%;
    margin-left: -2px;
    position: absolute;
    top: 10px;
    width: 5px;
    z-index: 2;
}
.f-modal-alert .f-modal-icon.f-modal-warning .f-modal-dot {
    background-color: #F8BB86;
    border-radius: 50%;
    bottom: 10px;
    height: 7px;
    left: 50%;
    margin-left: -3px;
    position: absolute;
    width: 7px;
    z-index: 2;
}
.f-modal-alert .f-modal-icon + .f-modal-icon {
    margin-top: 50px;
}

.animateSuccessTip {
    -webkit-animation: animateSuccessTip .75s;
    animation: animateSuccessTip .75s;
}

.animateSuccessLong {
    -webkit-animation: animateSuccessLong .75s;
    animation: animateSuccessLong .75s;
}

.f-modal-icon.f-modal-success.animate:after {
    -webkit-animation: rotatePlaceholder 4.25s ease-in;
    animation: rotatePlaceholder 4.25s ease-in;
}

.f-modal-icon.f-modal-error.animate:after {
    -webkit-animation: rotatePlaceholder 4.25s ease-in;
    animation: rotatePlaceholder 4.25s ease-in;
}

.animateErrorIcon {
    -webkit-animation: animateErrorIcon .5s;
    animation: animateErrorIcon .5s;
}

.animateXLeft {
    -webkit-animation: animateXLeft .75s;
    animation: animateXLeft .75s;
}

.animateXRight {
    -webkit-animation: animateXRight .75s;
    animation: animateXRight .75s;
}

.scaleWarning {
    -webkit-animation: scaleWarning 0.75s infinite alternate;
    animation: scaleWarning 0.75s infinite alternate;
}

.pulseWarningIns {
    -webkit-animation: pulseWarningIns 0.75s infinite alternate;
    animation: pulseWarningIns 0.75s infinite alternate;
}

@-webkit-keyframes animateSuccessTip {
    0%,54% {
        width: 0;
        left: 1px;
        top: 19px;
    }
    70% {
        width: 50px;
        left: -8px;
        top: 37px;
    }
    84% {
        width: 17px;
        left: 21px;
        top: 48px;
    }
    100% {
        width: 25px;
        left: 14px;
        top: 45px;
    }
}

@keyframes animateSuccessTip {
    0%,54% {
        width: 0;
        left: 1px;
        top: 19px;
    }
    70% {
        width: 50px;
        left: -8px;
        top: 37px;
    }
    84% {
        width: 17px;
        left: 21px;
        top: 48px;
    }
    100% {
        width: 25px;
        left: 14px;
        top: 45px;
    }
}
@-webkit-keyframes animateSuccessLong {
    0%,65% {
        width: 0;
        right: 46px;
        top: 54px;
    }
    84% {
        width: 55px;
        right: 0;
        top: 35px;
    }
    100% {
        width: 47px;
        right: 8px;
        top: 38px;
    }
}
@keyframes animateSuccessLong {
    0%,65% {
        width: 0;
        right: 46px;
        top: 54px;
    }
    84% {
        width: 55px;
        right: 0;
        top: 35px;
    }
    100% {
        width: 47px;
        right: 8px;
        top: 38px;
    }
}
@-webkit-keyframes rotatePlaceholder {
    0%,5% {
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }
    100%,12% {
        -webkit-transform: rotate(-405deg);
        transform: rotate(-405deg);
    }
}
@keyframes rotatePlaceholder {
    0%,5% {
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }
    100%,12% {
        -webkit-transform: rotate(-405deg);
        transform: rotate(-405deg);
    }
}
@-webkit-keyframes animateErrorIcon {
    0% {
        -webkit-transform: rotateX(100deg);
        transform: rotateX(100deg);
        opacity: 0;
    }
    100% {
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
        opacity: 1;
    }
}
@keyframes animateErrorIcon {
    0% {
        -webkit-transform: rotateX(100deg);
        transform: rotateX(100deg);
        opacity: 0;
    }
    100% {
        -webkit-transform: rotateX(0deg);
        transform: rotateX(0deg);
        opacity: 1;
    }
}
@-webkit-keyframes animateXLeft {
    0%,
    65% {
        left: 82px;
        top: 95px;
        width: 0;
    }
    84% {
        left: 14px;
        top: 33px;
        width: 47px;
    }
    100% {
        left: 17px;
        top: 37px;
        width: 47px;
    }
}
@keyframes animateXLeft {
    0%,
    65% {
        left: 82px;
        top: 95px;
        width: 0;
    }
    84% {
        left: 14px;
        top: 33px;
        width: 47px;
    }
    100% {
        left: 17px;
        top: 37px;
        width: 47px;
    }
}
@-webkit-keyframes animateXRight {
    0%,
    65% {
        right: 82px;
        top: 95px;
        width: 0;
    }
    84% {
        right: 14px;
        top: 33px;
        width: 47px;
    }
    100% {
        right: 16px;
        top: 37px;
        width: 47px;
    }
}
@keyframes animateXRight {
    0%,
    65% {
        right: 82px;
        top: 95px;
        width: 0;
    }
    84% {
        right: 14px;
        top: 33px;
        width: 47px;
    }
    100% {
        right: 16px;
        top: 37px;
        width: 47px;
    }
}
@-webkit-keyframes scaleWarning {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    30% {
        -webkit-transform: scale(1.02);
        transform: scale(1.02);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}
@keyframes scaleWarning {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    30% {
        -webkit-transform: scale(1.02);
        transform: scale(1.02);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}
@-webkit-keyframes pulseWarning {
    0% {
        background-color: #fff;
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 0.5;
    }
    30% {
        background-color: #fff;
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 0.5;
    }
    100% {
        background-color: #F8BB86;
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }
}
@keyframes pulseWarning {
    0% {
        background-color: #fff;
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 0.5;
    }
    30% {
        background-color: #fff;
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 0.5;
    }
    100% {
        background-color: #F8BB86;
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }
}
@-webkit-keyframes pulseWarningIns {
    0% {
        background-color: #F8D486;
    }
    100% {
        background-color: #F8BB86;
    }
}
@keyframes pulseWarningIns {
    0% {
        background-color: #F8D486;
    }
    100% {
        background-color: #F8BB86;
    }
}